1. View all groups
To see which groups currently exist in Collabase, your provider calls this endpoint. Endpoint:GET /api/scim/v2/Groups
Just like with users, your provider can filter this list to find specific groups.
2. Create a new group
When you assign a new group to Collabase in your identity provider, it sends the group name and a list of its members. Endpoint:POST /api/scim/v2/Groups
Collabase will create the group and automatically add all the users you included in the request.
3. Update group members
If an employee joins or leaves a department, your provider will automatically update the group membership in Collabase. Endpoint:PATCH /api/scim/v2/Groups/{id}
Your identity provider uses this endpoint to add new members or remove existing ones from the group. Collabase supports both common styles of member removal:
- A
removeoperation with amembersvalue array - A
removeoperation with a filtered path (e.g.members[value eq "<id>"]) and no value body — the form Microsoft Entra ID sends
displayName can also be updated through this endpoint, either as a replace operation with a path, or as a no-path object replace.
4. Delete a group
If a department or project is closed, your provider might delete the group entirely. Endpoint:DELETE /api/scim/v2/Groups/{id}
What happens to the users? Deleting a group does not delete the users inside it. The users will just lose whatever permissions were attached to that specific group.

